VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::ScsiAddressInfo Class Reference

The `ScsiAddressInfo` class contains information about the address of a virtual device that is attached to a virtual SCSI adapter of a virtual machine. More...

List of all members.

## Public Member Functions
| ScsiAddressInfo ()
| Creates a default new instance.
long | GetBus ()
| Bus number of the adapter to which the device is attached.
void | SetBus (long bus)
| Bus number of the adapter to which the device is attached.
long | GetUnit ()
| Unit number of the device.
void | SetUnit (long unit)
| Unit number of the device.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ScsiAddressInfo` class contains information about the address of a virtual device that is attached to a virtual SCSI adapter of a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::ScsiAddressInfo::ScsiAddressInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::ScsiAddressInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::ScsiAddressInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::ScsiAddressInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::ScsiAddressInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::ScsiAddressInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::ScsiAddressInfo::Equals | ( | object | obj | ) | `[inline]`

long vmware::vcenter::vm::hardware::ScsiAddressInfo::GetBus | ( |  | ) | `[inline]`

Bus number of the adapter to which the device is attached.

override int vmware::vcenter::vm::hardware::ScsiAddressInfo::GetHashCode | ( |  | ) | `[inline]`

long vmware::vcenter::vm::hardware::ScsiAddressInfo::GetUnit | ( |  | ) | `[inline]`

Unit number of the device.

void vmware::vcenter::vm::hardware::ScsiAddressInfo::SetBus | ( | long | bus | ) | `[inline]`

Bus number of the adapter to which the device is attached.

void vmware::vcenter::vm::hardware::ScsiAddressInfo::SetUnit | ( | long | unit | ) | `[inline]`

Unit number of the device.

override string vmware::vcenter::vm::hardware::ScsiAddressInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ScsiAddressInfo.cs